Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class CustomersNGCollectionWorkSheetType 'Partnerhez -alvállalkozó- tarozó sorszám és munkalap
    Inherits BaseObject

    Private _Customers As Customers
    Private _NumberGenerator As NumberGenerator
    Private _WorkSheetType As WorkSheetType

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("Customers-CustomersNGCollectionWorkSheetType", GetType(Customers))> _
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    <RuleRequiredField("CustomersNGCollectionWorkSheetType-NumberGenerator", DefaultContexts.Save)> _
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
    <RuleRequiredField("CustomersNGCollectionWorkSheetType-WorkSheetType", DefaultContexts.Save)> _
    Property WorkSheetType As WorkSheetType
        Get
            Return _WorkSheetType
        End Get
        Set(value As WorkSheetType)
            SetPropertyValue("WorkSheetType", _WorkSheetType, value)
        End Set
    End Property
End Class
